try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "84c62681-f132-44b4-91fc-436ec8a3ada8", e._sentryDebugIdIdentifier = "sentry-dbid-84c62681-f132-44b4-91fc-436ec8a3ada8");
} catch (e) {}
import { n as cloneObject } from "./AnalyticsContext-zvlAxIPp.js";
import { r as isValueObscured } from "./MaskedInput-0y7JZlsR.js";
import { i as getProp, n as deleteProp } from "./utils-DFiQv0tG.js";
//#region src/utils/omitObscuredFieldsIfUnchanged.ts
var omitObscuredFieldsIfUnchanged = (obscuredFields, dataSubmitted, savedData) => {
	if (!dataSubmitted) return;
	const filtered = cloneObject(dataSubmitted);
	obscuredFields.forEach((obscuredField) => {
		const prevValue = savedData ? getProp(savedData, obscuredField) : void 0;
		const newValue = getProp(dataSubmitted, obscuredField);
		if (prevValue === newValue && isValueObscured(newValue)) deleteProp(obscuredField, filtered);
	});
	return filtered;
};
//#endregion
export { omitObscuredFieldsIfUnchanged as t };
